Class | Fog::IBM::Mock
In: | lib/fog/ibm.rb
Parent: | Object

### Methods

create_address create_instance create_volume expiry_time hostname id ip_address key_material launch_time owner primary_ip private_image

### External Aliases

id | -> | instance_id
id | -> | request_id

### Public Class methods

create_address(location_id, offering_id, vlan_id)
create_instance(name, image_id, instance_type, location, options)
create_volume(name, format, location_id, size, offering_id)
expiry_time()

1 year from now, in miliseconds since epoch

hostname()
id()
ip_address()
key_material()
launch_time()

Miliseconds since epoch

owner()
primary_ip()
private_image(name, description)

[Validate]